Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## android.device.scanner.configuration
Enum Triggering

    java.lang.Object
      java.lang.Enum<Triggering>
          android.device.scanner.configuration.Triggering

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Triggering>

    public enum Triggering

extends java.lang.Enum<Triggering>

Trigger decode Mode

CONTINUOUS | A trigger pull activates the laser and decode processing. The laser remains on and decode processing continues until a valid decode or the Laser On Time-out is reached.
HOST* | A host command issues the triggering signal. The scan engine interprets an actual trigger pull as a Level triggering option.

Enum Constant Summary
`CONTINUOUS`
`HOST`

Method Summary
`int` | `toInt()`
`static Triggering` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Triggering[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUOUS

    public static final Triggering CONTINUOUS

### HOST

    public static final Triggering HOST

Method Detail

### values

    public static Triggering[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Triggering c : Triggering.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Triggering valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toInt

    public int toInt()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD